acl2 (7.2dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please do not hide the output from tests", thanks to
    Santiago Vila (Closes: #819446).
  * Bug fix: "FTBFS in stretch (looks like the same problem in maxima)",
    thanks to Santiago Vila (Closes: #819447).

 -- Camm Maguire <camm@debian.org>  Wed, 13 Apr 2016 13:11:10 +0000

acl2 (7.1dfsg-2) unstable; urgency=medium

  * rebuild latest gcl, tail recursive equal works around setrlimit bug on
    s390

 -- Camm Maguire <camm@debian.org>  Tue, 27 Oct 2015 19:33:53 +0000

acl2 (7.1dfsg-1) unstable; urgency=medium

  * Bug fix: "[acl2] Some sources are not included in your package",
    thanks to Bastien ROUCARIÈS (Closes: #787368).
    Repackage to add missing  sources and delete questionable files.
    Removed files in orig tarball that are removed by clean target:
    books/workshops/1999/ivy/ivy-v2/ivy-sources/arithmetic.lisp.bak
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/checker.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/make-saved-ivy.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/sivy.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/ivy.orig
    Removed sparc binary inadvertently included in upstream:
    books/workshops/2003/schmaltz-al-sammane-et-al/support/acl2link
    Added katex sources to debian/missing-sources:
    debian/missing-sources/books/xdoc/fancy/lib/katex/katex.js
    debian/missing-sources/books/xdoc/fancy/lib/katex/katex.min.css
    debian/missing-sources/books/xdoc/fancy/lib/katex/src/*
    Removed rfc file with non-dfsg licence:
    books/centaur/quicklisp/bundle/software/rfc2388-20130720-git/doc/rfc2388.txt
    Added source to debian/missing-sources to remove a lintian false positive:
    debian/missing-sources/books/workshops/2000/shumsky/slides2_files/script.js
  * build-dep latest gcl
  * updated README.Debian.in
  * remove clisp scripts from acl2-books-source
  * remove .gitignore from acl2-doc
  * added lintian override for (non) extra-license-file
    books/centaur/aignet/copying.cert

 -- Camm Maguire <camm@debian.org>  Wed, 21 Oct 2015 02:21:10 +0000

acl2 (7.1-3) unstable; urgency=medium

  * don't pre-allocate contiguous blocks in acl2.lisp
  * build-dep latest gcl
  * revert code-block-reserve to default set by upstream

 -- Camm Maguire <camm@debian.org>  Fri, 09 Oct 2015 01:09:05 +0000

acl2 (7.1-2) unstable; urgency=medium

  * build-dep latest gcl
  * 50M code-block-reserve on amd64

 -- Camm Maguire <camm@debian.org>  Mon, 28 Sep 2015 15:57:09 +0000

acl2 (7.1-1) unstable; urgency=medium

  * New upstream release
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 29 May 2015 14:33:46 +0000

acl2 (7.0-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 16 Jan 2015 10:35:45 -0500

acl2 (6.5-5) unstable; urgency=medium

  * fix syntax error in debian/rules

 -- Camm Maguire <camm@debian.org>  Sun, 26 Oct 2014 12:51:22 -0400

acl2 (6.5-4) unstable; urgency=medium

  * restore tick output for slow autobuilders

 -- Camm Maguire <camm@debian.org>  Sat, 25 Oct 2014 09:01:06 -0400

acl2 (6.5-3) unstable; urgency=medium

  * build-dep latest gcl
  * abort centaur/vl/top cert if insufficient memory (mips autobuild)

 -- Camm Maguire <camm@debian.org>  Fri, 24 Oct 2014 14:07:33 -0400

acl2 (6.5-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 20 Aug 2014 00:37:33 +0000

acl2 (6.5-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 05 Aug 2014 16:04:06 +0000

acl2 (6.4-5) unstable; urgency=low

  * rebuild against latest gcl
  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Fri, 25 Jul 2014 15:25:39 +0000

acl2 (6.4-4) unstable; urgency=low

  * parse and use parallel keyword in DEB_BUILD_OPTIONS

 -- Camm Maguire <camm@debian.org>  Thu, 15 May 2014 18:49:32 +0000

acl2 (6.4-3) unstable; urgency=low

  * set HOME in rule to build saved_acl2.c
  * Bug fix: "not buildable on buildds on some architectures", thanks to
    Ivo De Decker (Closes: #747286).

 -- Camm Maguire <camm@debian.org>  Fri, 09 May 2014 15:38:15 +0000

acl2 (6.4-2) unstable; urgency=low

  * certify-books run with -j 8 -l 2.95
  * Bug fix: "Process running beyond build (missing escape in
    debian/rules)", thanks to Michael Tautschnig (Closes: #746203).
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 07 May 2014 18:31:48 +0000

acl2 (6.4-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 13 Jan 2014 16:14:44 +0000

acl2 (6.3-6) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Nov 2013 16:11:57 +0000

acl2 (6.3-5) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 18 Oct 2013 16:10:57 +0000

acl2 (6.3-4) unstable; urgency=low

  * set HOME for mini-proveall make

 -- Camm Maguire <camm@debian.org>  Tue, 15 Oct 2013 14:12:15 +0000

acl2 (6.3-3) unstable; urgency=low

  * set HOME to $(pwd)

 -- Camm Maguire <camm@debian.org>  Mon, 14 Oct 2013 15:09:48 +0000

acl2 (6.3-2) unstable; urgency=low

  * build dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 12 Oct 2013 01:46:31 +0000

acl2 (6.3-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 02 Oct 2013 20:19:51 +0000

acl2 (6.2-8) unstable; urgency=low

  * Allow certification failures for 1) dlopen machines, as we cannot
    control the surpassed 1024 maximum dlopen limit, and 2) machines with
    an insufficient hard limit on data segment size (e.g. kfreebsd-i386, or any
    machine which cannot brk 1Gb).
  * add build-dep on texinfo
  * add upstream certificate relocation patch to other-events.lisp

 -- Camm Maguire <camm@debian.org>  Mon, 09 Sep 2013 15:27:04 +0000

acl2 (6.2-7) unstable; urgency=low

  * build-dep against latest gcl
  * again allow optimize-maximum-pages in elementary-bounders.acl2

 -- Camm Maguire <camm@debian.org>  Tue, 06 Aug 2013 11:30:55 +0000

acl2 (6.2-6) unstable; urgency=low

  * fix elementary-bounders.acl2

 -- Camm Maguire <camm@debian.org>  Mon, 29 Jul 2013 18:54:53 +0000

acl2 (6.2-5) unstable; urgency=low

  * (setq si::*optimize-maximum-pages* nil) in elementary-bounders.acl2
  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 27 Jul 2013 12:49:46 +0000

acl2 (6.2-4) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 23 Jul 2013 18:11:51 +0000

acl2 (6.2-3) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 20 Jul 2013 02:21:17 +0000

acl2 (6.2-2) unstable; urgency=low

  * Add (in-package :acl2) preceeding save-exec in final cert image
    modification stage to support #-native-reloc targets

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 16:34:41 +0000

acl2 (6.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Thu, 11 Jul 2013 22:02:56 +0000

acl2 (6.1-6) unstable; urgency=low

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 02 Jul 2013 16:10:25 +0000

acl2 (6.1-5) unstable; urgency=low

  * reinstate skipped books and build depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 21 Jun 2013 23:14:46 +0000

acl2 (6.1-4) unstable; urgency=low

  * skip books/centaur/vl/transforms/xf-sizing.lisp, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Sun, 26 May 2013 03:50:49 +0000

acl2 (6.1-3) unstable; urgency=low

  * skip books/centaur/defrstobj/basic-tests.lisp, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Thu, 23 May 2013 13:20:29 +0000

acl2 (6.1-2) unstable; urgency=low

  * skip elementary-bounders.lisp certification, which takes too much memory

 -- Camm Maguire <camm@debian.org>  Tue, 21 May 2013 17:15:51 +0000

acl2 (6.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 23 Apr 2013 14:52:39 +0000

acl2 (6.0-3) unstable; urgency=low

  * Lintian cleanups
  * certify centaur books with memory adjustments (lint.acl2, top.acl2)

 -- Camm Maguire <camm@debian.org>  Thu, 17 Jan 2013 23:12:05 +0000

acl2 (6.0-2) unstable; urgency=low

  * HOME="/tmp" environment for make DOC

 -- Camm Maguire <camm@debian.org>  Sun, 13 Jan 2013 17:54:15 +0000

acl2 (6.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 07 Jan 2013 21:45:40 +0000

acl2 (5.0-1) unstable; urgency=low

  * New upstream release
  * books retrieved separately from http://acl2-books.googlecode.com/files/books-5.0.tar.gz
  * Bug fix: "Should build-depend on emacs23 | emacs24", thanks to
    svante.signell@telia.com</a>; (Closes: #682719).

 -- Camm Maguire <camm@debian.org>  Fri, 24 Aug 2012 18:45:28 +0000

acl2 (4.3-3) unstable; urgency=low

  * Bug fix: "unowned file /usr/local/share/texmf/ls-R after purge (policy
    6.8, 9.1.2)", thanks to Andreas Beckmann (Closes: #669380).
  * Bug fix: "FTBFS: | /«PKGBUILDDIR»/books/tools/defsum.c:7456:5: error:
    expected expression before &#39;)&#39; token", thanks to Lucas
    Nussbaum (Closes: #669442).  Build-dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 20 Apr 2012 12:59:26 +0000

acl2 (4.3-2) unstable; urgency=low

  * remove special NO_STRIP for ppc
  * multiply-stacks by 4 on #-native-reloc
  * Bug fix: "Please add support for build-arch and build-indep targets",
    thanks to Niels Thykier (Closes: #647919).

 -- Camm Maguire <camm@debian.org>  Fri, 20 Jan 2012 14:18:55 +0000

acl2 (4.3-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 09 Jan 2012 21:41:00 +0000

acl2 (4.1-5) unstable; urgency=low

  * build depend on latest gcl
  * turn off si::*optimize-maximum-pages* in reverse-by-separation.acl2
  * remove unnecessary patch from serialize-tests.lisp

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 16:19:11 +0000

acl2 (4.1-4) unstable; urgency=low

  * build dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 27 Oct 2010 20:47:24 +0000

acl2 (4.1-3) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS on mips: Terminated", thanks to Cyril Brulebois
    (Closes: #599946).
  * Bug fix: "FTBFS on mipsel: Unrecoverable error: Segmentation
    violation..", thanks to Cyril Brulebois (Closes: #599998).

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 16:15:56 +0000

acl2 (4.1-2) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS (powerpc): ls: cannot access
    tiny.cert: No such file or directory", thanks to Philipp Kern (Closes:
    #597278).

 -- Camm Maguire <camm@debian.org>  Thu, 23 Sep 2010 12:44:54 +0000

acl2 (4.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 05 Sep 2010 00:27:43 +0000

acl2 (4.0-3) unstable; urgency=low

  * compile nats to avoid invocation stack overflow on #-native-reloc
    machines

 -- Camm Maguire <camm@debian.org>  Fri, 09 Jul 2010 13:00:12 +0000

acl2 (4.0-2) unstable; urgency=low

  * Work around absence of HOME in buildd environments.

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jul 2010 16:14:04 +0000

acl2 (4.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 07 Jul 2010 21:49:46 +0000

acl2 (3.6.1-2) unstable; urgency=low

  * Bug fix: "acl2 depends on old / broken emacs22 package", thanks to
    Andreas Barth (Closes: #585405).
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Thu, 10 Jun 2010 14:09:37 +0000

acl2 (3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 06 Jun 2010 19:58:55 +0000

acl2 (3.6-4) unstable; urgency=low

  * Bug fix: "FTBFS [hppa] - **CERTIFICATION FAILED** for ram2b.lisp",
    thanks to dann frazier (Closes: #564247).

 -- Camm Maguire <camm@debian.org>  Mon, 11 Jan 2010 17:44:36 +0000

acl2 (3.6-3) unstable; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386: /bin/sh: line 1: 42209 Segmentation
    fault gcl &lt; workxxx", thanks to Cyril Brulebois (Closes: #563604).

 -- Camm Maguire <camm@debian.org>  Mon, 04 Jan 2010 18:12:16 +0000

acl2 (3.6-2) unstable; urgency=low

  * Bug fix: "FTBFS [alpha, hppa] - getprop.cert: No such file or
    directory", thanks to dann frazier (Closes: #562207).  Build-depend on
    gcl >= 2.6.7-51.
  * Bug fix: "adds non-existent TAGS file to tag file list", thanks to
    Timo Juhani Lindfors (Closes: #505812).  Don't automatically load tags
    table.

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jan 2010 13:26:38 +0000

acl2 (3.6-1) unstable; urgency=low

  * New upstream release

  [ Camm Maguire ]
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553715).

 -- Camm Maguire <camm@debian.org>  Tue, 15 Dec 2009 03:53:25 +0000

acl2 (3.4-2) unstable; urgency=low

  * New maintainer address
  * sparc sgc workaround -- disable sgc here only

 -- Camm Maguire <camm@debian.org>  Mon, 23 Feb 2009 01:54:24 +0000

acl2 (3.4-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "acl2-status.txt should contain :INITIALIZED.", thanks to
    Lucas Nussbaum (Closes: #494328).  New release works around compiler
    issue.
  * Bug fix: "FTBFS when converted to new source format 3.0 (quilt)",
    thanks to hertzog@debian.org</a>; (Closes: #482594). patches ->
    dpatches

 -- Camm Maguire <camm@enhanced.com>  Sun, 24 Aug 2008 21:26:46 +0000

acl2 (3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on time, so that it works with shells other than bash
    (Closes: #459060).

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 18:49:49 +0200

acl2 (3.3-1) unstable; urgency=low

  * New upstream release
  * build-dep on latest gcl to get arm build
  * Bug fix: "acl2&#39;s idea of the system book path is wrong", thanks to
    Sami Liedes (Closes: #440353). Apply suggested fix to wrapper script,
    Thanks!
  * Bug fix: "acl2-emacs: please prefer emacs22", thanks to Tatsuya
    Kinoshita (Closes: #434915). prefer emacs22
  * Bug fix: "acl2: not binNMU safe", thanks to Lior Kaplan (Closes:
    #430471). Apply suggested patch, Thanks!
  * build-dep texlive-latex-recommended

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 10:10:09 -0500

acl2 (3.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 17 May 2007 10:41:35 -0400

acl2 (3.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Dec 2006 10:35:42 -0500

acl2 (3.0.1-8) unstable; urgency=low

  * Fix dlopen.lisp.in

 -- Camm Maguire <camm@enhanced.com>  Thu, 19 Oct 2006 12:52:10 -0400

acl2 (3.0.1-7) unstable; urgency=low

  * Build dep on libxmu-dev libxaw7-dev

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 16:36:26 -0400

acl2 (3.0.1-6) unstable; urgency=low

  * really change dlopen
  * build dep on gcl_2.6.7-27

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Oct 2006 18:19:47 -0400

acl2 (3.0.1-5) unstable; urgency=low

  * Add user::*fast-acl2-gcl-build* and user::*acl2-keep-tmp-files*
    parameters to dlopen following upstream
  * Build-Depend on gcl_2.6.7-26

 -- Camm Maguire <camm@enhanced.com>  Mon, 16 Oct 2006 18:05:05 -0400

acl2 (3.0.1-4) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-25

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Oct 2006 14:41:53 -0400

acl2 (3.0.1-3) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-23
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Wed, 11 Oct 2006 11:09:29 -0400

acl2 (3.0.1-2) unstable; urgency=low

  * rebuild against newer gcl

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Aug 2006 18:53:50 -0400

acl2 (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Wed,  2 Aug 2006 17:02:24 +0000

acl2 (3.0-1) unstable; urgency=low

  * New upstream release
  * acl2-books-source and acl2-books-certs depend on mathcing version of
    acl2, Closes: #339032.
  * Fix emacs startup for xemacs -- remove error only, no autosetup of
    tags table for xemacs, appears impossible. Closes: #349401

 -- Camm Maguire <camm@enhanced.com>  Sat, 10 Jun 2006 17:42:09 +0000

acl2 (2.9.4-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Nov 2005 23:31:29 +0000

acl2 (2.9.3-7) unstable; urgency=low

  * build depend on >= gcl-2.6.7-11 to get default maxpage fix for amd64,
    Closes: #323666.

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Oct 2005 12:46:17 +0000

acl2 (2.9.3-6) unstable; urgency=low

  * build depend on >= gcl-2.6.7-10 to get ppc gcc configure fix

 -- Camm Maguire <camm@enhanced.com>  Thu, 13 Oct 2005 18:36:11 +0000

acl2 (2.9.3-5) unstable; urgency=low

  * build depend on >= gcl 2.6.7-8 for 64bit fasd data/fixnum fix

 -- Camm Maguire <camm@enhanced.com>  Wed,  5 Oct 2005 19:15:41 +0000

acl2 (2.9.3-4) unstable; urgency=low

  * build depend on >= gcl 2.6.7-8 for 64bit bignum/fixnum fix

 -- Camm Maguire <camm@enhanced.com>  Sun,  2 Oct 2005 11:23:30 +0000

acl2 (2.9.3-3) unstable; urgency=low

  * Build-depend on gcl >= 2.6.7-7 to get dlopen fix needed for mips,
    alpha, hppa, and ia64
  * rework build strategy switching based on the native-reloc feature in
    the installed gcl.

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Sep 2005 18:32:02 +0000

acl2 (2.9.3-2) unstable; urgency=high

  * Depend on gcl 2.6.7-6 or greater with its own binutils included,
    remove dependency on binutils-dev

 -- Camm Maguire <camm@enhanced.com>  Tue, 20 Sep 2005 19:49:42 +0000

acl2 (2.9.3-1) unstable; urgency=low

  * New upstream release
  * probe-file -> truename *infix-directory* patch for gcl 2.6.7

 -- Camm Maguire <camm@enhanced.com>  Fri, 12 Aug 2005 20:57:23 +0000

acl2 (2.9.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Apr 2005 14:00:42 +0000

acl2 (2.9.1-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "acl2: :system dir is wrong", thanks to Patrick Calhoun
    (Closes: #284780).  Apologies, had inadvertently reverted previous
    fix.  Now include a GNUmakefile patch setting ACL2_BOOKS_DIR.

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Feb 2005 18:34:32 +0000

acl2 (2.9-3) unstable; urgency=low

  * Update README.Debian regarding building auxiliary workshops and
    non-std packages

 -- Camm Maguire <camm@enhanced.com>  Sat,  8 Jan 2005 19:03:36 +0000

acl2 (2.9-2) unstable; urgency=high

  * Don't strip saved_acl2 on powerpc, see #210809.

 -- Camm Maguire <camm@enhanced.com>  Fri,  5 Nov 2004 21:39:50 +0000

acl2 (2.9-1) unstable; urgency=high

  * New upstream release
  * Remove nullification of allocation list from debian/patches.in
  * Add debian/dlopen.lisp for building on ia64,mips(el),alpha and hppa
  * Revert to upstream build procedure on all other platforms
  * doc-notes.txt is gone (from acl2-emacs.doc)
  * mv nsaved_acl2.gcl saved_acl2 for backward compatibility with 2.8, as
    we provide our own shell script wrapper.
  * Remove debian/acl2-doc.info in favor of compile-time generated command
    line arguments to dh_installinfo

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Oct 2004 13:29:46 +0000

acl2 (2.8-6) unstable; urgency=low

  * acl2 suggests acl2-emacs

 -- Camm Maguire <camm@enhanced.com>  Thu,  7 Oct 2004 14:40:35 +0000

acl2 (2.8-5) unstable; urgency=low

  * Bug fix: "acl2-emacs: ACL2 emacs mode produces an error on acl2
    defstobjs definition", thanks to David (Closes: #260112). Small patch
    to acl2-mode.el added to debian/patches.
  * Build depend on latest gcl for performance and stability improvements.

 -- Camm Maguire <camm@enhanced.com>  Fri, 17 Sep 2004 13:11:05 +0000

acl2 (2.8-4) unstable; urgency=low

  * Bug fix: "FTBFS: missing Build-Depends binutils-dev", thanks to Goswin
    von Brederlow (Closes: #251695).  Make build-depends on binutils-dev
    valid for all platforms

 -- Camm Maguire <camm@enhanced.com>  Mon, 31 May 2004 18:32:56 +0000

acl2 (2.8-3) unstable; urgency=low

  * move doc-notes.txt to acl2-emacs
  * copyright and control file clarifications
  * removal of Debian specific files from distribution list in READE.Debian 
  * addition of arithmetic-axioms.txt and fast-notes.txt to acl2-doc
  * Removal of .final certificate extension from list in README.Debian
  * doc-base rephrasing
  * (setq *acl2-allocation-alist* nil) in debian/patches.in for enhanced
    performance with recent gcl

 -- Camm Maguire <camm@enhanced.com>  Tue, 11 May 2004 20:45:14 +0000

acl2 (2.8-2) unstable; urgency=low

  * Bug fix: "acl2: :system dir is wrong", thanks to Cesar Eduardo Barros
    (Closes: #246721).  Supply final system directory in POST variable in
    debian/rules.

 -- Camm Maguire <camm@enhanced.com>  Fri, 30 Apr 2004 18:54:36 +0000

acl2 (2.8-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Inefficient packaging of arch independent data", thanks to
    Steve McIntyre (Closes: #232883). Split package into several
    components.

 -- Camm Maguire <camm@enhanced.com>  Fri, 16 Apr 2004 03:35:25 +0000

acl2 (2.7-9) unstable; urgency=low

  * Build depend on latest gcl to try SAFE_FREAD fix for m68k and SGC
    runtime check as alpha libc bug workaround
  * echo any failed mini-proveall results
  * require full test to succeed for build to complete

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Feb 2004 15:08:14 +0000

acl2 (2.7-8) unstable; urgency=low

  * Fix bad directory names pertaining to earlier version
  * Capitalize ACL2 in doc-base file
  * Cleanup copyright file
  * Replace build directory with install directory in cert files
  * Apply fix to proof-checker-b.lisp
  * Add a placeholder manpage
  * remove dh-make template files
  * newer standards
  * dh_compat 4
  * cleanup gcl build dependencies
  * build-depend on >= gcl-2.6.1-23 for readline fixes
  * debian/patches mechanism to build cert files with correct pathnames at
    time of installation
  * README.Debian clarifying ACL2 vs. ACL2(r)
  * Patch to banner indicating binary includes corrected proof-checker.lisp
  * Remove Makefiles from distribution, replace with .acl2 files as
    discussed with upstream
  * Add bdd/bit-vector-reader.lsp and bdd/be/* files to distribution as
    requested by upstream
  * Add TAGS file for source perusal, and modify tags-table-list in 
  emacs startup file
  * distribute lisp files in interface/infix
  * Protect interface/infix/sloop.lisp with #-gcl and restore to
    distribution and makefile
  * doinfix an acl2 example
  * Add emacs/doc-notes.txt as acl2 doc file
  * Add note in man page about availability of online documentation
  * Add .txt and .html files from books/textbook to acl2-doc package
  * mv CLI.sty into /usr/share/texmf/tex/latex, run texhash on postinst
    and postrm, and depend on tetex-extra
  * updated fsf address in copyright file
  * gathered all patches outside the debian/ subdir into patches.in, so
    that apt-get -q source acl2 will produce a pristine tree for the user
    as requested upstream.
  * Add table of source and binary file locations in README.Debian as
    requested by upstream
  * Updated watch file for new upstream links

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Feb 2004 15:22:05 +0000

acl2 (2.7-7) unstable; urgency=low

  * More verbose testing output to overcome autobuild timeout problems

 -- Camm Maguire <camm@enhanced.com>  Tue, 10 Dec 2002 13:20:34 -0500

acl2 (2.7-6) unstable; urgency=low

  * new gcl for m68k, Closes: #171593

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Dec 2002 08:30:11 -0500

acl2 (2.7-5) unstable; urgency=low

  * New gcl fixes for arm
  * cat to build log failed cert output

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Nov 2002 10:13:16 -0500

acl2 (2.7-4) unstable; urgency=low

  * Fix bad patch

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Nov 2002 23:40:09 -0500

acl2 (2.7-3) unstable; urgency=low

  * New gcl on m68k to fix cache flushes, Closes: #170084
  * Book certification failures not fatal for now

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Nov 2002 17:53:51 -0500

acl2 (2.7-2) unstable; urgency=low

  * Build-depends on tetex-base

 -- Camm Maguire <camm@enhanced.com>  Tue, 19 Nov 2002 20:11:39 -0500

acl2 (2.7-1) unstable; urgency=low

  * New upstream release
  * new modules linear-a linear-b and non-linear
  * certify all books

 -- Camm Maguire <camm@enhanced.com>  Mon, 18 Nov 2002 20:26:16 -0500

acl2 (2.6-15) unstable; urgency=low

  * Correct final pathnames in certs
  * remove TMP1.lisp

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Nov 2002 16:36:09 -0500

acl2 (2.6-14) unstable; urgency=low

  * Fix bad diff, Closes #169493

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Nov 2002 12:28:46 -0500

acl2 (2.6-13) unstable; urgency=low

  * Fix acl2 path issue in infix subbuild

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Nov 2002 08:58:20 -0500

acl2 (2.6-12) unstable; urgency=low

  * Turn off default-system-p in final image
  * tests in build target to avoid fakeroot bug on ia64, better here
    anyway
  * increased files distributed as recommended by upstream
  * emacs interface fixes to support all Debian emacs flavors

 -- Camm Maguire <camm@enhanced.com>  Sat, 16 Nov 2002 23:22:25 -0500

acl2 (2.6-11) unstable; urgency=low

  * Build-depends on binutils-dev for arches using bfd

 -- Camm Maguire <camm@enhanced.com>  Wed, 13 Nov 2002 21:35:22 -0500

acl2 (2.6-10) unstable; urgency=low

  * Added missing Build-deps: Closes: #168968

 -- Camm Maguire <camm@enhanced.com>  Wed, 13 Nov 2002 14:04:32 -0500

acl2 (2.6-9) unstable; urgency=low

  * gcl >= -67 for ppc and m68k

 -- Camm Maguire <camm@enhanced.com>  Wed, 13 Nov 2002 12:02:44 -0500

acl2 (2.6-8) unstable; urgency=low

  * New portable gcl build mechanism for acl2, Closes: #167618

 -- Camm Maguire <camm@enhanced.com>  Sun, 10 Nov 2002 12:48:44 -0500

acl2 (2.6-7) unstable; urgency=low

  * Add test targets
  * acl2-mode.el fix, Closes: #167356

 -- Camm Maguire <camm@enhanced.com>  Sun, 10 Nov 2002 12:48:37 -0500

acl2 (2.6-6) unstable; urgency=low

  * Better (less restrictive) gcl Build-Depends
  * Newer standards
  * acl2-doc in section doc

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Oct 2002 21:49:44 -0500

acl2 (2.6-5) unstable; urgency=low

  * Patch acl2-mode.el to handle differing xemacs/emacs behavior,
    Closes: #167012

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Oct 2002 11:58:20 -0500

acl2 (2.6-4) unstable; urgency=low

  * Rerelease to use new gcl with fixes on ia64, hppa and arm

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Oct 2002 20:30:42 -0500

acl2 (2.6-3) unstable; urgency=low

  * Add emacs21 | emacsen, debhelper to Build-Deps

 -- Camm Maguire <camm@enhanced.com>  Mon, 28 Oct 2002 18:40:07 -0500

acl2 (2.6-2) unstable; urgency=low

  * Fix emacsen and info post-install

 -- Camm Maguire <camm@enhanced.com>  Sat, 26 Oct 2002 21:34:36 -0400

acl2 (2.6-1) unstable; urgency=low

  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Sat, 26 Oct 2002 11:58:58 -0400


